• 您好!欢迎来到yongtree的博客

MyEclipse7.5下整合Flash builder 4 (附注册码)

(2009-08-06 23:50)

最近MyEclipse和Flex Builder双双推出了新版本,一直以来在J2EE开发方面MyEclipse都是不错的开发工具,比起单纯的Eclipse要方便的多。Flex的推出之所以能这么受开发者的青睐,和J2EE的良好结合也是一个重要因素。安装Flex Builder是要提供Eclipse目录,官方的Eclipse安装Flex Builder没有多大问题。但是MyEclipse的安装目录是分开的Common和主程序所在目录。

    一种解决办法是下载Eclipse3.4的J2EE版本,再在这个Eclipse安装Flash Builder4,然后通过插件方式更新MyEclipse7.5。这样可以很好的完成整合,基本不会出现报错情况。由于MyEclipse的网站对中国IP封锁,只能使用国外代理。而且更新的数据量也很大,可能需要比较长的时间。

    解决办法二是使用MyEclipse7.5的安装文件安装,安装过程网上很多,和以前版本也很类似,在这里不再累述,安装完成后出现一个Common目录,一个启动程序所在目录。然后到Adobe公司网站上下载FB4的插件版本,我使用的是:flashbuilder4_b1_plugin_win_060109.exe。安装过程的主要步骤截图如下: 

 图1

图2图3

图4图5

其中需要说明下的是:图2中选择的是你要将FB4安装在的位置,图3中选择的是MyEclipse7.5的启动程序所在的目录。接下来会出现图4和图5中的错误,不用理会继续安装。

安装完成后启动MyEclipse7.5会报一个依赖错误:com.adobe.flexbuilder.utils.osnative.mac_4.0.0.235740相关的错误,下面我们就来解决这个问题:

需要将FB安装目录下的eclipse\plugins\com.adobe.flexbuilder.utils.osnative.mac_4.0.0.235740删除就OK了。现在再重新启动应该是不报错,所有功能都正常使用了。

另外有幸在网络上发现一个FB4可用注册码:1377-4009-6596-2357-9400-4885(找了好久)

希望对大家有所帮助。

参考阅读:MyEclipse详解及MyEclipse7.5的优化

您可能会对以下文章感兴趣:
文件下载:
    无下载文件
阅读:4146
评论
游客
2010-02-23 10:24:15
游客
根据你的安装说明,我操作下来,还是不行,虽然在D:\Program Files\Genuitec\MyEclipse 7.5\dropins目录里多出来了一个link的文件,而且我在安装过程中没有报任何错误,能指导一下吗! 2009-09-28 23:55:47
1
发表评论

博主简介
  • yongtree
  • 博客积分:0分
  • 博客访问:15840次
  • 来自:青岛市
我要留言
公告
正如俞敏洪所说,我们要像树一样活着,活着是一道美丽的风景,死后依然是栋梁之才。 天空有美丽的风景,不是一望无际的蓝天,不是虚无缥缈的白云,而是一览众山小的开阔,无人可及的高度。

评论

访客

链接
  • yongtree的csdn博客
  • yongtree的技术博客JavaTree